# Class VulkanLWJGLExtDebugUtils

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLExtDebugUtils

All Implemented Interfaces:
  `VulkanExtensionType`, `VulkanDebugUtilsType`

public final class VulkanLWJGLExtDebugUtils extends Object implements VulkanDebugUtilsType
The EXT_debug_utils extension.

- ## Field Summary

  ### Fields inherited from interface com.io7m.jcoronado.extensions.ext_debug_utils.api.VulkanDebugUtilsType

  `DEFAULT_LABEL_COLOR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanDebugUtilsRegionType`
  `begin(VulkanCommandBufferType commandBuffer, VulkanDebugUtilsLabelEXT label)`
  Open a command buffer debug label region.
  `VulkanDebugUtilsMessengerEXTType`
  `createDebugUtilsMessenger(VulkanInstanceType instance, VulkanDebugUtilsMessengerCreateInfoEXT info)`
  Create a debug messenger object.
  `void`
  `insertInto(VulkanCommandBufferType commandBuffer, VulkanDebugUtilsLabelEXT label)`
  Insert a debug label into a command buffer.
  `void`
  `setObjectName(VulkanLogicalDeviceType device, VulkanDebugUtilsObjectNameInfoEXT info)`
  Set the name of a given object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.jcoronado.extensions.ext_debug_utils.api.VulkanDebugUtilsType

  `begin, insertInto, name`

- ## Method Details

  - ### createDebugUtilsMessenger

    public VulkanDebugUtilsMessengerEXTType createDebugUtilsMessenger(VulkanInstanceType instance, VulkanDebugUtilsMessengerCreateInfoEXT info) throws VulkanException
    Description copied from interface: `VulkanDebugUtilsType`
    Create a debug messenger object.
    Specified by:
      `createDebugUtilsMessenger` in interface `VulkanDebugUtilsType`
    Parameters:
      `instance` - The instance
      `info` - The creation info
    Returns:
      A messenger
    Throws:
      `VulkanException` - On errors

  - ### begin

    public VulkanDebugUtilsRegionType begin(VulkanCommandBufferType commandBuffer, VulkanDebugUtilsLabelEXT label) throws VulkanException
    Description copied from interface: `VulkanDebugUtilsType`
    Open a command buffer debug label region.
    Specified by:
      `begin` in interface `VulkanDebugUtilsType`
    Parameters:
      `commandBuffer` - The command buffer
      `label` - The region label
    Returns:
      The section
    Throws:
      `VulkanException` - On errors

  - ### insertInto

    public void insertInto(VulkanCommandBufferType commandBuffer, VulkanDebugUtilsLabelEXT label) throws VulkanException
    Description copied from interface: `VulkanDebugUtilsType`
    Insert a debug label into a command buffer.
    Specified by:
      `insertInto` in interface `VulkanDebugUtilsType`
    Parameters:
      `commandBuffer` - The command buffer
      `label` - The label
    Throws:
      `VulkanException` - On errors

  - ### setObjectName

    public void setObjectName(VulkanLogicalDeviceType device, VulkanDebugUtilsObjectNameInfoEXT info) throws VulkanException
    Description copied from interface: `VulkanDebugUtilsType`
    Set the name of a given object.
    Specified by:
      `setObjectName` in interface `VulkanDebugUtilsType`
    Parameters:
      `device` - The logical device
      `info` - The info
    Throws:
      `VulkanException` - On errors